[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/postgis/FC-6 postgis.spec,1.7,1.8



On Mon, 29 Oct 2007 18:58:29 -0400, Devrim GÜNDÜZ (devrim) wrote:

> Author: devrim
> 
> Update of /cvs/extras/rpms/postgis/FC-6

> +++ postgis.spec	29 Oct 2007 22:57:51 -0000	1.8
> @@ -1,6 +1,6 @@
> -%{!?javabuild:%define	javabuild 1}
> +%{!?javabuild:%define	javabuild 0}

This is a sub-package switch, which must not be (ab)used to toggle
sub-packages on and off randomly. If there's nothing in the guidelines
already, it would make sense to enhance them.

Once you've built and published a sub-package, you need to obsolete it
when you want to publish an update where the sub-package is not built
anymore. Here "Obsoletes: postgis-jdbc < 1.3.1".


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]